import { OnDestroy } from "@angular/core";
import { SafeHtml } from "@angular/platform-browser";
import { IconCacheService } from "../../../service/icon-cache.service";
import { Icon } from "../../../enum/icon.enum";
export declare class IconComponent implements OnDestroy {
    private _iconCacheService;
    set icon(icon: Icon);
    svg?: SafeHtml;
    constructor(_iconCacheService: IconCacheService);
    ngOnDestroy(): void;
    private _setSvg;
}
